MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0010084Tine 2.0Tinebase JavaScriptpublic2014-07-23 12:402017-03-21 10:19
Reporterastintzing 
Assigned Tocweiss 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product VersionCollin (2013.10.8) 
Target Version2016.11.6dev1 Egon BE DevelopFixed in Version2016.11.6dev1 Egon BE Develop 
Summary0010084: Improve usability on small screens
DescriptionTo improve the usability on small screens, the action buttons should have no text and use the smallest icons possible. The Filter Toolbar should be scrollable. This should be configurable by preference.
TagsNo tags attached.
mwticket
Attached Files

- Relationships
child of 0012710resolvedcweiss improve user experience on tablet / touch devices 

-  Notes
User avatar (0014298)
htietze (developer)
2014-08-05 12:48

I would advice against action buttons without text by default (cf. https://www.tine20.org/wiki/index.php/Buttons [^]). Rather consider to make the UI resolution aware. On very small screens like on a 5" mobile it's not enough to omit captions. You have to move seldom used functions into a menu, a sidebar, or the like.
User avatar (0019738)
cweiss (administrator)
2017-03-20 11:19

http://gerrit.tine20.com/customers/4380 [^]

improved for tablets:
* filter toolbar automatically fits
* action-toolbar automatically get's "more" btn if it doesn't fit

- Issue History
Date Modified Username Field Change
2014-07-23 12:40 astintzing New Issue
2014-07-23 12:40 astintzing Status new => assigned
2014-07-23 12:40 astintzing Assigned To => astintzing
2014-08-05 12:48 htietze Note Added: 0014298
2014-08-29 16:18 pschuele Target Version Koriander (2014.09.0~preview1) =>
2017-02-22 17:51 cweiss Relationship added child of 0012710
2017-02-22 18:17 cweiss Assigned To astintzing => cweiss
2017-02-22 18:17 cweiss Target Version => 2016.11.6dev1 Egon BE Develop
2017-03-20 11:19 cweiss Note Added: 0019738
2017-03-20 11:19 cweiss Status assigned => gerrit
2017-03-21 10:19 pschuele Status gerrit => resolved
2017-03-21 10:19 pschuele Fixed in Version => 2016.11.6dev1 Egon BE Develop
2017-03-21 10:19 pschuele Resolution open => fixed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker